
; PicBasic Pro Compiler 2.10,  Copyright (c) 1998 microEngineering Labs, Inc.     All Rights Reserved.

PM_USED			EQU	1

	INCLUDE	"PBPPROC.INC"

RAM_START       		EQU	0000Ch
RAM_END         		EQU	0004Fh
RAM_BANKS       		EQU	00001h
BANK0_START     		EQU	0000Ch
BANK0_END       		EQU	0004Fh
EEPROM_START    		EQU	02100h
EEPROM_END      		EQU	0213Fh

R0              		EQU	RAM_START + 000h
R1              		EQU	RAM_START + 002h
R2              		EQU	RAM_START + 004h
R3              		EQU	RAM_START + 006h
R4              		EQU	RAM_START + 008h
R5              		EQU	RAM_START + 00Ah
R6              		EQU	RAM_START + 00Ch
R7              		EQU	RAM_START + 00Eh
R8              		EQU	RAM_START + 010h
T1              		EQU	RAM_START + 012h
FLAGS           		EQU	RAM_START + 014h
GOP             		EQU	RAM_START + 015h
RM1             		EQU	RAM_START + 016h
RM2             		EQU	RAM_START + 017h
RR1             		EQU	RAM_START + 018h
RR2             		EQU	RAM_START + 019h
_DT              		EQU	RAM_START + 01Ah
_OF              		EQU	RAM_START + 01Ch
_PORTL           		EQU	PORTB
_PORTH           		EQU	PORTA
_TRISL           		EQU	TRISB
_TRISH           		EQU	TRISA
#define _PORTB_1         	PORTB, 001h
#define _PORTB_0         	PORTB, 000h

; Constants.
_T2400           		EQU	00000h
_T1200           		EQU	00001h
_T9600           		EQU	00002h
_T300            		EQU	00003h
_N2400           		EQU	00004h
_N1200           		EQU	00005h
_N9600           		EQU	00006h
_N300            		EQU	00007h
_OT2400          		EQU	00008h
_OT1200          		EQU	00009h
_OT9600          		EQU	0000Ah
_OT300           		EQU	0000Bh
_ON2400          		EQU	0000Ch
_ON1200          		EQU	0000Dh
_ON9600          		EQU	0000Eh
_ON300           		EQU	0000Fh
_MSBPRE          		EQU	00000h
_LSBPRE          		EQU	00001h
_MSBPOST         		EQU	00002h
_LSBPOST         		EQU	00003h
_LSBFIRST        		EQU	00000h
_MSBFIRST        		EQU	00001h
_CLS             		EQU	00000h
_HOME            		EQU	00001h
_BELL            		EQU	00007h
_BKSP            		EQU	00008h
_TAB             		EQU	00009h
_CR              		EQU	0000Dh
_unitOn          		EQU	00012h
_unitOff         		EQU	0001Ah
_unitsOff        		EQU	0001Ch
_lightsOn        		EQU	00014h
_lightsOff       		EQU	00010h
_dim             		EQU	0001Eh
_bright          		EQU	00016h
	INCLUDE	"CTGR.MAC"
	INCLUDE	"PBPPIC14.LIB"

	CLEAR?	
	OUTPUT?T	_PORTB_1

	LABEL?L	_Loop	
	COUNT?TCW	_PORTB_0, 001F4h, _DT
	MOVE?CB	0FAh, _OF
	CMPGT?WCB	_DT, 0F8h, T1
	CMPF?BL	T1, L00001
	SERPIN?T	_PORTB_1
	SERMODE?C	_N300
	SEROUT?C	040h
	SEROUT?B	_OF
	LABEL?L	L00001	
	CMPEQ?WCB	_DT, 000h, T1
	CMPF?BL	T1, L00003
	MOVE?CW	001h, _DT
	LABEL?L	L00003	
	CMPEQ?WCB	_DT, 0FFh, T1
	CMPF?BL	T1, L00005
	MOVE?CW	0FEh, _DT
	LABEL?L	L00005	
	SERPIN?T	_PORTB_1
	SERMODE?C	_N300
	SEROUT?C	040h
	SEROUT?W	_DT
	GOTO?L	_Loop
	END?	

	END
