Clear
Include "modedefs.bas"
Output PortB.1

DT var Word
OF var Byte

Loop:

COUNT PortB.0,500,DT

'conta gli impulsi che arrivano al PortB.0 nell' intervallo di tempo
'di 1000 mS e ne assegna il valore alla variabile DT
'ricordiamoci che il max valore decimale di DT vale 65535 perch  stata
'presa come word, rimane comunque la limitazione a 255 perch trasmetto
'caratteri di un byte

'Il carattere ASCII "@" corrisponde al decimale 64 e viene emesso come
'carattere di identificazione del dato che lo segue

OF = %11111010                'corrisponde al decimale 250

If DT > %11111000  Then       'corrisponde al decimale 248
SerOut PortB.1,N300,[64,OF]
EndIf

'se DT  maggiore di 248 allora viene emesso il carattere di overflow 250
'che non si verifica mai perch DT assume al max il valore 248

If DT = 0 Then  'SerOut non accetta ingresso nullo
DT = %00000001
EndIf

If DT = %11111111 Then  'SerOut non accetta ingresso massimo, impossibile
                        'che si verifichi, condizione inserita per sicurezza
DT = %11111110
EndIf

SerOut PortB.1,N300,[64,DT]

'emette il carattere di identificazione "@", poi il Dato fornito dalla
'istruzione "COUNT" 

GoTo Loop       'rende ciclica la lettura
End
